Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class BasicBeanValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.item.ItemValue
                  |
                  +--examples.buybeans.item.BasicBeanValue

Direct Known Subclasses:
  BeanieBabyValue, CoffeeBeanValue, JellyBeanValue

public class BasicBeanValue
extends ItemValue

This is an item that describes a bean as we know it here at BuyBeans.com.

See Also:
  `BasicBean`, `BasicBeanHome`, `BasicBean.getBasicBeanByValue()`, `BasicBean.setBasicBeanByValue(BasicBeanValue)`, Serialized Form

Field Summary
`int` | `customerRating` customerRating [BasicBean] <*>------> [`int`]
`java.lang.String` | `fullDescription` fullDescription [BasicBean] <*>------> [`String`]

Fields inherited from class theory.smart.ebusiness.item.ItemValue
`description, identifier, price, qualities, supplier, version`

Constructor Summary
`protected` | `BasicBeanValue()` Only get/setBasicBeanByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fullDescription

    public java.lang.String fullDescription

                        fullDescription
       [BasicBean] <*>------> [String]

### customerRating

    public int customerRating

                        customerRating
       [BasicBean] <*>------> [int]

Constructor Detail

### BasicBeanValue

    protected BasicBeanValue()

  Only get/setBasicBeanByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.